<?php
/**
 * @package com_tinydoc for Joomla! 2.5
 * @version $Id: controller.php 2014-01-16 $
 * @author Andreas Thul
 * @copyright (c) 2009-2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

require_once(JPATH_ADMINISTRATOR .DS. 'components' .DS.  'com_tinydoc' . DS . 'helper.php');

class TinyDocController extends JController {

	function __construct(){

		parent::__construct();
	}

	// 2014-01-16: Only variables should be assigned by reference
	// 2014-01-16: Declaration of TinyDocController::display() should be compatible with JController::display($cachable = false, $urlparams = false)
	function display($cachable = false, $urlparams = false) {

		# 2012-08-03: redirect if 'format=raw' is missing; must be altered when other views are added
		if (!$format=JRequest::getVar('format')){

			$this->setRedirect(JRoute::_('index.php?option=com_tinydoc&view=document&document=' .  JRequest::getVar('document', 0, '', 'int') .  '&format=raw'));
			return false;
		}
		else {

			$viewName = JRequest::getVar('view', 'document');
			$viewLayout = JRequest::getVar('layout', 'default');

			$view = $this->getView($viewName);

			if ($model = $this->getModel($viewName)) {
				$view->setModel($model, true);
			}

			$view->setLayout($viewLayout);
			$view->display();
		}
    }


}

?>
