<?php
/**
 * @package com_tinydoc for Joomla! 2.5
 * @version $Id: view.php 2014-01-16 $
 * @author Andreas Thul
 * @copyright (c) 2009-2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport('joomla.filesystem.file');

require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS .  'com_tinydoc' . DS . 'helper.php');

class TinyDocViewDocument extends JView {

	// 2014-01-16: Only variables should be assigned by reference
    function display($tpl = null) {

		$mainframe = JFactory::getApplication();
		$option = JRequest::getCmd('option');

		$config = JComponentHelper::getParams('com_tinydoc');

        $model = $this->getModel();

		$document_id = JRequest::getVar('document', 0, '', 'int');

		$document = $model->getDocument($document_id);

		// ?$model->setState('image_id', $image->id);

		$file = TinyDocHelper::getDocumentFile($document_id);
		$documentData = JFile::read($file);

		$documentType = TinyDocHelper::getDocumentType($document->type_id);

        $this->assignRef('document', $document);
        $this->assignRef('documentData', $documentData);
        $this->assignRef('documentType', $documentType);

        parent::display($tpl);
    }
}

?>
